Bug 14566 - All dead keys don't work in console
Summary: All dead keys don't work in console
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: console-tools   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard: Winston rc1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-24 22:23 UTC by Christian Rose
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-31 23:02:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Swedish 102-key layout (36.14 KB, image/png)
2000-07-25 20:37 UTC, Christian Rose
no flags Details
Danish 102-key layout (36.02 KB, image/png)
2000-07-25 20:38 UTC, Christian Rose
no flags Details
Norwegian 102-key layout (35.71 KB, image/png)
2000-07-25 20:38 UTC, Christian Rose
no flags Details

Description Christian Rose 2000-07-24 22:23:20 UTC
All dead keys on a Swedish keyboard don't seem to work in console mode.

The key characters " (umlaut), ` (grave accent) and ' can be used to
compose such characters on the command line. This works like it should.

But using ^ or ~ doesn't work for producing a character with those
accents. These keys aren't "dead keys" like they should be, and will
thus only result in the accent itself getting typed.

I've tested this on the command line and in console emacs, with the same
result. It's a keyboard input/keymap problem.

These problems are probably the same for Finnish too, as its the same
keyboard layout as Swedish. kmaraas@online.no reported similar problems for
Norwegian layout - and that probably affects Danish too, as those two
layouts are identical. Maybe kenneth@gnu.org can confirm that one?

Comment 1 Bernhard Rosenkraenzer 2000-07-25 14:03:29 UTC
They aren't marked as dead keys in the keytables...
Are you sure they should be (for example, I think writing a shell script with ",
' and ` being dead keys must be a pain)?
If so, which keys exactly need to be deadkeys (keycode preferred - I don't have
swedish keyboards to test on... If you don't know the keycode, tell me the
location of the key)?

Comment 2 Christian Rose 2000-07-25 20:37:25 UTC
Created attachment 1532 [details]
Swedish 102-key layout

Comment 3 Christian Rose 2000-07-25 20:38:01 UTC
Created attachment 1533 [details]
Danish 102-key layout

Comment 4 Christian Rose 2000-07-25 20:38:40 UTC
Created attachment 1534 [details]
Norwegian 102-key layout

Comment 5 Christian Rose 2000-07-25 21:15:58 UTC
First of all, the Danish and Norwegian keyboards aren't the same. The Swedish
and Finnish are though. Sorry for that mess.

I went to school this evening and scanned in keyboard layouts from an old
computer manual I have. There's also keyboard layouts in pure text here:
http://anubis.dkuug.dk/keld/xkb_latin1.html


Just to make sure, I summarize the keyboard issues on a Swedish keyboard in
beta4 (bugzilla often mangles accents and stuff, so I'll be descriptive):

To produce a character with a acute(?) accent ( ' ), press:
"the key to the left of backspace", followed by "character". This works.

To produce a character with a grave accent ( ` ), press:
"shift" and "the key to the left of backspace", followed by "character". This
works.

To produce a character with umlaut ( ( ), press:
"the key to the upper left of enter", followed by "character". This works.

To produce a character with ( ^ ), press:
"shift" and "the key to the upper left of enter", followed by "character". This
does NOT work.

To produce a character with ( ~ ), press:
"AltGr" and "the key to the upper left of enter", followed by "character". This
does NOT work.


I reported a similar problem a while back (bug 9380) before RH6.2 - that was
with the X keyboard maps though. The X keyboard maps were corrected in time for
RH6.2 and has been correct ever since. I failed to check the console keyboard at
that time though... 

And, no, you shouldn't use accents in shell scripts, you should use double (")
or single apostophes ('). The single apostrophe is availiable as a handy simple
(not dead or shift) key to the left of the enter key on a Swedish keyboard. :)


Comment 6 Christian Rose 2000-07-26 20:26:09 UTC
kenneth@gnu.org asked me to add this info (he will be away from a net connection
a couple of days):

The Danish keyboard in console mode doesn't work that good. He can't write the "
(trema),
4 (accent), ` (grave accent), (cedille), ^ (circumflexe), ~ (tilde), reverse-^
(hacek) characters. Nothing works.


Comment 7 Glen Foster 2000-07-30 19:57:00 UTC
This defect is considered MUST-FIX for Winston Release-Candidate #1

Comment 8 Christian Rose 2000-07-31 22:29:49 UTC
Here are some more keys that don't work as expected on the Swedish keyboard:

shift + "'" (to the left of the number key row) should produce a "=", not a
degree sign as it does now

shift + "4" should produce the international currency sign, not a cedille-c as
it does now


Comment 9 Christian Rose 2000-07-31 22:33:39 UTC
Aaargh... kill Bugzilla kill kill... it mungled most of the characters in the
above comment. This is what it should be like:

shift + "legal paragraph sign" (to the left of the "1" on the number key row)
should produce a "one half sign", not a degree sign as it does now

shift + "4" should produce the international currency sign, not a cedille-c as
it does now

Comment 10 Kenneth Rohde Christiansen 2000-07-31 23:02:08 UTC
Danish keys X (big O with a / through) also doesnt work. This is in the Danish keyboard.

Comment 11 Bernhard Rosenkraenzer 2000-08-03 15:28:49 UTC
Fixed in -19.


Note You need to log in before you can comment on or make changes to this bug.